spiff-arena/bin/pull_in_changes_from_outsid...

20 lines
474 B
Plaintext
Raw Normal View History

2022-10-20 11:19:18 +00:00
#!/usr/bin/env bash
function error_handler() {
>&2 echo "Exited with BAD EXIT CODE '${2}' in ${0} script at line: ${1}."
exit "$2"
}
trap 'error_handler ${LINENO} $?' ERR
set -o errtrace -o errexit -o nounset -o pipefail
# HELP: git pull, pull subtrees, and push back to spiff-arena origin
if has_local_git_changes; then
>&2 echo "ERROR: you have local git changes. Please commit or stash them before running this script."
exit 1
fi
gp
./bin/pull-subtrees
gpush